Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.events
Interface ShellListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  ShellAdapter

public interface ShellListener
extends org.eclipse.swt.internal.SWTEventListener

Classes which implement this interface provide methods that deal with changes in state of `Shell`s.

After creating an instance of a class that implements this interface it can be added to a control using the `addShellListener` method and removed using the `removeShellListener` method. When the state of a shell changes, the appropriate method will be invoked.

See Also:
  `ShellAdapter`, `ShellEvent`

Method Summary
`void` | `shellActivated(ShellEvent e)` Sent when a shell becomes the active window.
`void` | `shellClosed(ShellEvent e)` Sent when a shell is closed.
`void` | `shellDeactivated(ShellEvent e)` Sent when a shell stops being the active window.
`void` | `shellDeiconified(ShellEvent e)` Sent when a shell is un-minimized.
`void` | `shellIconified(ShellEvent e)` Sent when a shell is minimized.

Method Detail

### shellActivated

    public void shellActivated(ShellEvent e)

  Sent when a shell becomes the active window.

  Parameters:
    `e` - an event containing information about the activation

### shellClosed

    public void shellClosed(ShellEvent e)

  Sent when a shell is closed.

  Parameters:
    `e` - an event containing information about the close

### shellDeactivated

    public void shellDeactivated(ShellEvent e)

  Sent when a shell stops being the active window.

  Parameters:
    `e` - an event containing information about the deactivation

### shellDeiconified

    public void shellDeiconified(ShellEvent e)

  Sent when a shell is un-minimized.

  Parameters:
    `e` - an event containing information about the un-minimization

### shellIconified

    public void shellIconified(ShellEvent e)

  Sent when a shell is minimized.

  Parameters:
    `e` - an event containing information about the minimization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.